Tasuku
ReferenceAPI referenceMemories

List learned preferences with provenance and activation state

GET/organizations/{organization_id}/memories

Authorization

tasuku_session<token>

In: cookie

Path Parameters

organization_id*string
Length1 <= length <= 128

Query Parameters

repository_id?string
Length1 <= length <= 128

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/string/memories"
{  "data": [    {      "id": "string",      "organization_id": "string",      "repository_id": "string",      "repository_owner": "string",      "repository_name": "string",      "scope": "ORGANIZATION",      "lifecycle": "PROPOSED",      "enabled": true,      "convention": "string",      "rationale": "string",      "purpose": "string",      "source_type": "string",      "source_actor": "string",      "source_url": "http://example.com",      "source_run_id": "string",      "source_finding_id": "string",      "metadata": {        "language": "string",        "file_path": "string",        "pull_request_number": 1,        "source_comment_id": 1      },      "proposed_by": "string",      "proposed_by_login": "string",      "approved_by": "string",      "approved_by_login": "string",      "approved_at": "2019-08-24T14:15:22Z",      "last_toggled_by": "string",      "last_toggled_by_login": "string",      "last_toggled_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}